/*******************************************************************************
 * FoxAIAction_FightStationary generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAIAction_FightStationary extends FoxAIHierarchicalAbility
    native(AI)
    editinlinenew
    hidecategories(Object);

// Export UFoxAIAction_FightStationary::execInitialize(FFrame&, void* const)
native function bool Initialize();

// Export UFoxAIAction_FightStationary::execTick(FFrame&, void* const)
native function Tick(float DeltaTime);

defaultproperties
{
    begin object name=ES class=FoxAICondition_EnemySeen
        HowRecently=0.10
    object end
    // Reference: FoxAICondition_EnemySeen'Default__FoxAIAction_FightStationary.ES'
    PreCondition=ES
    begin object name=Fire class=FoxAIAction_FireWeapon
        Duration=2.0
    object end
    // Reference: FoxAIAction_FireWeapon'Default__FoxAIAction_FightStationary.Fire'
    SubActions(0)=Fire
    StateString="Fight Stationary"
}